View Issue Details

IDProjectCategoryLast Update
0007096AVWWBug - AVWW MultiplayerApr 18, 2012 2:20 pm
ReporterChomperAssigned Tokeith.lamothe 
Severitymajor 
Status resolvedResolutionfixed 
Product Version0.929 
Fixed in Version 
Summary0007096: black screen upon login
DescriptionI'm having an issue with one username on Wanderer's MP world/realm. I can get in with "default" username, and with another username I made. But for some reason my main username "Chomper" only gets the target reticle, the chat window, and a black screen. Sometimes the words of the world map will flash, such as "visited" and "mission."

Just uploaded my debug log. I'm thinking this might be my problem: (case 1) Rejecting queueing of ExitToWorldMapChunk. But obviously you're the experts.

That's about it. Thanks!
TagsNo tags attached.
Internal WeightFor New Player Experience

Activities

GUDare

Apr 15, 2012 10:24 pm

reporter  

Wandering Nomads.zip (1,125,070 bytes)

GUDare

Apr 15, 2012 10:25 pm

reporter   ~0022078

File attached.

Chomper

Apr 15, 2012 10:38 pm

reporter  

ArcenDebugLog.txt (635,573 bytes)

x4000Bughunter

Apr 16, 2012 8:44 am

administrator   ~0022087

Chomper, it sounds like a client side error may have been thrown. Do you have any logs in your runtimedata folder under the game folder?

keith.lamothe

Apr 16, 2012 3:23 pm

administrator   ~0022149

Ok, the error message (rejected queuing of exiting to world map) is because the client has already sent a "transition to (whatever)" message to the server and is waiting on a response.

More specifically, it apppears that the client received or thinks it received an invalid chunk, and so is trying to dump back to the world map, but is being prevented because it's still waiting.

I've put in some changes that will make it a little more forceful about getting back to the world map in that case, and also making sure it displays the "invalid chunk" message so you know that's why that happened.

Obviously, it shouldn't be in an invalid-chunk situation to begin with, but I suspect I'll need to see the server-side logs to figure out what caused those.

Chomper

Apr 16, 2012 5:35 pm

reporter   ~0022156

x4000: Is there anything specific from the runtimedata folder you're looking for? Besides the debug log, I can't find any other logs.

keith: Thanks for explaining what's going on. Is the extra forcefulness something that will go into the next patch?

(Thanks to you both for the game itself by the way. I've never posted in a forum before in my life, though I read through them occasionally. So it shows how much I'm digging AVWW that I asked for technical assistance. I haven't found a game that's grabbed me like this in a long time. I appreciate that the game doesn't treat me like an idiot, and that the difficulty is also warranted. It's not there for bragging rights, it's part of the ethos of the game, learning the tactics and all of that. Thanks for something that feels like a complete experience already though beta isn't even over. That's quite an achievement in my book.)

keith.lamothe

Apr 16, 2012 5:42 pm

administrator   ~0022157

Last edited: Apr 16, 2012 5:43 pm

View 2 revisions

Yep, it'll be in 0.930 :)

Hopefully can nail the underlying issue before long, too.

edit: and you're very welcome, thank you for the kind words :)

Chomper

Apr 16, 2012 5:48 pm

reporter   ~0022158

Cool, thank you. I'll see if I can find Wanderer, ask him to upload the server logs, if you still need em?

And no problem :) Kind words keep the world spinning.

keith.lamothe

Apr 17, 2012 11:14 am

administrator   ~0022178

Had a chance to retest this in 0.930? :)

Chomper

Apr 17, 2012 12:21 pm

reporter   ~0022185

Yeah man, at first it was the same problem. But after a minute of waiting or so/impatiently spamming "E" the world map popped up. Everything's working well now. I got some upgrade stones, did a mission. So far as I can tell everything's in its right place. Thanks :)

keith.lamothe

Apr 17, 2012 9:15 pm

administrator   ~0022248

Heh, you shouldn't have had to slam on it for a minute, but I think I know why that happened. Will put in something for that, but glad you were able to get to playing eventually, thanks for the patience :)

keith.lamothe

Apr 17, 2012 9:25 pm

administrator   ~0022255

For 0.930:

* MP: made the "get out of invalid chunk to world map" logic more aggressive; the last change made it eventually get out to the world map but it could take about a minute.

Thanks :)

Going to call this one resolved, but I'm interested in any other evidence of what caused the invalid-chunk situation to begin with; I think it may have been taken care of in the last patch, though.

Chomper

Apr 18, 2012 2:20 pm

reporter   ~0022314

Could it have had anything to do with exiting while a chunk was trying to load? I remember logging out right after I got to the world map.

Anyway, thanks for the help!

Issue History

Date Modified Username Field Change
Apr 15, 2012 9:59 pm Chomper New Issue
Apr 15, 2012 10:24 pm GUDare File Added: Wandering Nomads.zip
Apr 15, 2012 10:25 pm GUDare Note Added: 0022078
Apr 15, 2012 10:38 pm Chomper File Added: ArcenDebugLog.txt
Apr 15, 2012 10:40 pm Chomper Severity minor => major
Apr 15, 2012 10:40 pm Chomper Description Updated View Revisions
Apr 16, 2012 8:44 am x4000Bughunter Note Added: 0022087
Apr 16, 2012 12:21 pm tigersfan Internal Weight => For New Player Experience
Apr 16, 2012 12:21 pm tigersfan Assigned To => keith.lamothe
Apr 16, 2012 12:21 pm tigersfan Status new => assigned
Apr 16, 2012 3:23 pm keith.lamothe Note Added: 0022149
Apr 16, 2012 3:23 pm keith.lamothe Status assigned => feedback
Apr 16, 2012 5:35 pm Chomper Note Added: 0022156
Apr 16, 2012 5:35 pm Chomper Status feedback => assigned
Apr 16, 2012 5:42 pm keith.lamothe Note Added: 0022157
Apr 16, 2012 5:43 pm keith.lamothe Note Edited: 0022157 View Revisions
Apr 16, 2012 5:48 pm Chomper Note Added: 0022158
Apr 17, 2012 11:14 am keith.lamothe Note Added: 0022178
Apr 17, 2012 11:14 am keith.lamothe Status assigned => feedback
Apr 17, 2012 12:21 pm Chomper Note Added: 0022185
Apr 17, 2012 12:21 pm Chomper Status feedback => assigned
Apr 17, 2012 9:15 pm keith.lamothe Note Added: 0022248
Apr 17, 2012 9:25 pm keith.lamothe Note Added: 0022255
Apr 17, 2012 9:25 pm keith.lamothe Status assigned => resolved
Apr 17, 2012 9:25 pm keith.lamothe Resolution open => fixed
Apr 18, 2012 2:20 pm Chomper Note Added: 0022314